%define	name		ssmtp
%define	version		2.62
%define	release		3
%define	src_version	2.62

Summary:	A minimal mail-transfer agent which forwards mail to an SMTP server
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
URL:		http://packages.debian.org/unstable/mail/ssmtp.html
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	rcs
Provides:	sendmail-command
Requires:	common-licenses

Source:		http://ftp.debian.org/debian/pool/main/s/ssmtp/%{name}_%{version}.tar.bz2
Patch0:		ssmtp-2.50.3-maxsysuid.patch
Patch1:		ssmtp-CVE-2008-3962.patch

%description
This is sSMTP, a program that replaces sendmail on workstations that
should send their mail via the departmental mailhub from which they pick up
their mail (via pop, imap, rsmtp, pop_fetch, NFS... or the like).  This
program accepts mail and sends it to the mailhub, optionally replacing the
domain in the From: line with a different one.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .CVE-2008-3962
# this has to be %patch but it does not work with -g option :(
#%{_bzip2bin} -d < %PATCH0 | patch -p1 -g0 -s
#PATCH_GET=0
#export PATCH_GET
#%patch0 -p1 -b .maxsysuid

# viet 05/08/2003 / by default, the configure script sets sysconfdir
# to /usr/etc, which is no good. The --sysconfdir= switch doesn't do
# anything either because Makefile.in is not using it => patching Makefile.in
perl -pi -e 's|etcdir=\$\(prefix\)/etc|etcdir=\@sysconfdir\@|' Makefile.in

%build
%serverbuild
%configure
%make

%install
rm -fr %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/ssmtp}

cp ssmtp	%{buildroot}%{_sbindir}/
cp ssmtp.8	%{buildroot}%{_mandir}/man8/
cp ssmtp.conf	%{buildroot}%{_sysconfdir}/ssmtp/
cp revaliases	%{buildroot}%{_sysconfdir}/ssmtp/

#ln -s %{_sbindir}/ssmtp %{buildroot}%{_sbindir}/sendmail
# ln -s %{_mandir}/man8/ssmtp.8.bz2 %{buildroot}%{_mandir}/man8/sendmail.8.bz2
#ln -s ssmtp.8.bz2 %{buildroot}%{_mandir}/man8/sendmail.8.bz2

# Fix perms of %doc files
chmod 644 INSTALL README TLS *.lsm

%clean
rm -fr %{buildroot}

%post
update-alternatives --install %{_sbindir}/sendmail sendmail-command %{_sbindir}/ssmtp 5

%preun
if [ $1 = 0 ]; then
        update-alternatives --remove sendmail-command %{_sbindir}/ssmtp
fi


%files
%defattr(-,root,root)
%doc INSTALL README TLS *.lsm

%doc %attr(0644, root, root) %{_mandir}/man8/ssmtp.8*
#%doc %{_mandir}/man8/sendmail.8*

%attr(0755, root, root) %config(noreplace) %dir %{_sysconfdir}/ssmtp
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/ssmtp/*

%attr(0755, root, root) %{_sbindir}/ssmtp




%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.62-3mdv2010.0
+ Revision: 434107
- rebuild

* Tue Sep 09 2008 Frederik Himpe <fhimpe@mandriva.org> 2.62-2mdv2009.0
+ Revision: 283189
- Add Gentoo patch fixing security issue CVE-2008-3962

* Sat Jun 14 2008 Jérôme Soyer <saispo@mandriva.org> 2.62-1mdv2009.0
+ Revision: 219152
- New release 2.62

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.61-1mdv2008.1
+ Revision: 140851
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages extension


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.61-1mdv2007.0
+ Revision: 122490
- New release 2.61
- Import ssmtp

* Fri Mar 17 2006 Michael Scherer <misc@mandriva.org> 2.60.7-3mdk
- use the correct name for alternative, thanks couriousous for spotting this

* Sat Jul 02 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.60.7-2mdk
- provides and alternative sendmail-command
- use mkrel
- fix summary-ended-with-dot

* Tue Apr 20 2004 Michael Scherer <misc@mandrake.org> 2.60.7-1mdk 
- 2.60.7, security fix

